/*
Theme Name: Angela Vucko
Theme URI: 
Author: Christian Kubitza
Author URI: 
Description: Child-Theme (TT5)
Requires at least: 6.9
Tested up to: 6.9
Requires PHP: 5.7
Version: 0.9.3
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: twentytwentyfive
Text Domain: angela-vucko
Tags: 
*/


:root {
	font-size: 15px;
	/* word-break: break-all; */
	scroll-behavior: smooth;

	--wp--preset--spacing--70: clamp(65px, 7vw, 120px);
	--wp--preset--spacing--80: clamp(86px, 11vw, 167px);
}

body {
	/* Debug */
	/* background-image: url(AV_Typogrößen.jpg);
	background-size: 1886px;
	background-repeat: no-repeat;
	background-position: 50% -90px; */
}

main {
	min-height: calc(100vh - 400px);
}

@media (max-width: 1351px) {
	:root {
		--wp--preset--font-size--xx-large: 5rem;
	}
}

@media (max-width: 781px) {
	:root {
		font-size: 13px;
	}
}

@media (max-width: 600px) {
	:root {
		font-size: 11px;
	}
}

.wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content:hover {
	color: var(--wp--preset--color--accent-1);
	text-decoration: none;
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content {
	align-items: center;
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__container {
	align-items: center;
	gap: 1rem;
	font-size: var(--wp--preset--font-size--x-large) !important;
	justify-content: center;
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__container .has-small-font-size {
	font-size: inherit !important;
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-close,
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-dialog,
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content {
	height: 100%;
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation-item__content:hover,
.wp-block-navigation__responsive-container-close:hover {
	color: var(--wp--preset--color--accent-3);
}
.has-contrast-background-color .wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content:hover {
	color: var(--wp--preset--color--accent-2);
}
@media (max-width: 781px) {
	.wp-block-navigation__responsive-container-open:not(.always-shown) {
		display: block;
		position: fixed;
		z-index: 10;
	}
	.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
		display: none;
	}
}
.av-header-scrolled .wp-block-navigation__responsive-container-open {
	display: block;
	position: fixed;
	z-index: 10;
	color: #222;
}

ul.is-style-checkmark-list li::marker {
	color: var(--wp--preset--color--accent-3);
}
ul.is-style-checkmark-list {
	border-top: 1.5px solid var(--wp--preset--color--accent-1);
	border-bottom: 1.5px solid var(--wp--preset--color--accent-1);
}
@media (max-width: 600px) {
	ul.is-style-checkmark-list {
		padding-inline-start: 1.7rem;
	}
}

.wp-block-separator,
.is-layout-constrained > .wp-block-separator:first-child,
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__container::before {
	transform: rotate(110deg);
	width: 9rem;
	border-width: 0 0 3px 0;
	border-style: solid;
	border-color: currentColor;
	margin: 8rem auto;
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__container::before {
	content: "";
	display: block;
	width: 5rem;
	margin: 0 auto 5rem auto;
}

.wp-block-button.is-style-outline .wp-block-button__link {
	background-color: transparent;
	border: 1.5px solid var(--wp--preset--color--accent-3);
	color: var(--wp--preset--color--accent-3 );
}
.wp-block-button.is-style-outline .wp-block-button__link:hover {
	background-color: var(--wp--preset--color--accent-3);
	color: #fff;
}
.wp-block-button {
	--wp--preset--font-size--small: 1.44rem;
}
@media (min-width: 601px) {
	.wp-block-button {
		--wp--preset--font-size--small: 1.2rem;
	}
}

h1::before,
h2::before {
	content: "";
	display: inline-block;
	border-bottom: 1px solid currentColor;
	width: 3.5em;
	height: 0;
	vertical-align: baseline;
	margin-right: 1em;
}

.has-xx-large-font-size {
	line-height: 1.2;
}

.wp-block-accordion-item {
	margin-left: calc(var(--wp--style--root--padding-right) * -1);
	margin-right: calc(var(--wp--style--root--padding-right) * -1);
}
@media (max-width: 1351px) {
	.wp-block-accordion-item {
		margin-left: calc(var(--wp--style--root--padding-right) * -0.5);
		margin-right: calc(var(--wp--style--root--padding-right) * -0.5);
	}
}
.wp-block-accordion-heading__toggle {
	padding: 0;
}
.wp-block-accordion-item.is-open {
	background-color: color-mix(in srgb, var(--wp--preset--color--accent-3) 30%, var(--wp--preset--color--base) 70%);
}
.wp-block-accordion-item .wp-block-accordion-heading__toggle-title {
	position: relative;
	padding-left: 5rem;
}
.wp-block-accordion-item .wp-block-accordion-heading__toggle-title::before {
	content: "00";
	color: var(--wp--preset--color--accent-3);
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	text-align: left;
	/* min-width: 5rem;
	height: 2em; */
}
	.wp-block-accordion-item:nth-child(1) .wp-block-accordion-heading__toggle-title::before {	content: "01";	}
	.wp-block-accordion-item:nth-child(2) .wp-block-accordion-heading__toggle-title::before {	content: "02";	}
	.wp-block-accordion-item:nth-child(3) .wp-block-accordion-heading__toggle-title::before {	content: "03";	}
	.wp-block-accordion-item:nth-child(4) .wp-block-accordion-heading__toggle-title::before {	content: "04";	}
	.wp-block-accordion-item:nth-child(5) .wp-block-accordion-heading__toggle-title::before {	content: "05";	}
	.wp-block-accordion-item:nth-child(6) .wp-block-accordion-heading__toggle-title::before {	content: "06";	}
	.wp-block-accordion-item:nth-child(7) .wp-block-accordion-heading__toggle-title::before {	content: "07";	}
	.wp-block-accordion-item:nth-child(8) .wp-block-accordion-heading__toggle-title::before {	content: "08";	}
	.wp-block-accordion-item:nth-child(9) .wp-block-accordion-heading__toggle-title::before {	content: "09";	}
.wp-block-accordion-panel {
	margin-left: 5rem;
	margin-right: 5rem;
}
.wp-block-accordion-item .wp-block-accordion-heading__toggle-icon {
	color: var(--wp--preset--color--accent-3);
	font-family: ui-sans-serif;
	font-weight: 100;
	/* font-size: 4rem; */
	/* line-height: 1em; */
	height: 0.5em;
}
@media (max-width: 600px) {
	.wp-block-accordion-panel {
		margin-left: 0;
		margin-right: 0;
	}
}


footer {
	margin-block-start: 0;
}

.max-width-50 {
	max-width: 50vw;
}

.wp-block-social-links {
	gap: .75em;
}


.is-style-av-head-cover .wp-block-media-text {
	grid-template-columns: 50% 1fr;
}
@media (min-width: 1051px) {
	.is-style-av-head-cover {
		margin-top: -200px !important;
	}
	.is-style-av-head-cover .wp-block-media-text figure {
		transform: translate(-50px, 200px);
		z-index: 1;
	}
	.is-style-av-head-cover .wp-block-media-text__content {
		margin-top: 340px;
	}
	.is-style-av-head-cover .wp-block-media-text__content .has-large-font-size {
		font-size: calc(var(--wp--preset--font-size--large) * 0.935) !important;
	}
	.is-style-av-head-cover + *::before {
		content: "";
		display: block;
		height: 100px;
	}
}
@media (max-width: 600px) {
	.is-style-av-head-cover .wp-block-media-text .wp-block-media-text__content {
		--wp--preset--font-size--xx-large: 3.8rem;
	}
}
@media (max-width: 1050px) {
	.is-style-av-head-cover .wp-block-media-text {
		grid-template-columns: 1fr !important;
	}

	.is-style-av-head-cover .wp-block-media-text .wp-block-media-text__media {
		grid-column: 1 !important;
		grid-row: 1 !important;
		min-height: 100vw;
	}

	.is-style-av-head-cover .wp-block-media-text .wp-block-media-text__content {
		grid-column: 1 !important;
		grid-row: 2 !important;
		margin-top: var(--wp--preset--spacing--70);
	}
}
@media (max-width: 1350px) {
	.is-style-av-head-cover .wp-block-media-text .wp-block-media-text__content {
		padding-left: 0;
		padding-right: 0;
	}
}
@media (min-width: 1351px) {
	.is-style-av-head-cover .wp-block-media-text {
		grid-template-columns: 40% 1fr;
	}
}

.wp-site-blocks :focus {
	outline-style: none;
}
.wp-site-blocks :focus-visible {
	outline-style: solid;
	outline-color: currentColor;
}